Bug 114989 - missing initialisation ?
Summary: missing initialisation ?
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libgal2   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-05 09:48 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-18 01:52:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-05 09:48:42 UTC
Description of problem:

I just tried to compile package libgal2-1.99.10 from Redhat
Fedora Core 1.

The compiler said

1.

gal-view-new-dialog.c(251): remark #592: variable "entry" is used
before its value is set

        GtkWidget *entry;

        dialog = GAL_VIEW_NEW_DIALOG (object);

        switch (prop_id){
        case PROP_NAME:

                if (entry && GTK_IS_ENTRY(entry)) {

Suggest init entry before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dave Malcolm 2004-05-05 23:37:52 UTC
(This is fixed in CVS HEAD)

Comment 2 David Binderman 2004-11-23 08:19:08 UTC
>(This is fixed in CVS HEAD)

Possibly, but I can confirm that this bug still exists in the
version in Fedora Core 3.

Comment 3 David Binderman 2005-02-18 12:39:53 UTC
Tis bug still exists in February 2005, more than a year
after it was originally reported.



Note You need to log in before you can comment on or make changes to this bug.